Bug 491684 - GUI (nfs4-acl-editor) for nfs4-acl-tools is missing
GUI (nfs4-acl-editor) for nfs4-acl-tools is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs4-acl-tools (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 12:03 EDT by JM
Modified: 2014-07-16 13:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-16 13:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to fix, build, and package the GUI tool (3.00 KB, patch)
2014-07-16 12:15 EDT, Nahum Shalman
no flags Details | Diff

  None (edit)
Description JM 2009-03-23 12:03:46 EDT
The QT4-GUI (nfs4-acl-editor) is missing in the RPM of the nfs4-acl-tools (nfs4-acl-tools-0.3.2-2).

Inside the nfs4-acl-tools source bundle is a QT4-GUI (GUI/nfs4-acl-editor)for the nfs4-acl-tools, would it possible to include the GUI (nfs4-acl-editor) in the next version of the nfs4-acl-tools RPM?

It's easy to build, the GUI just needs QT4 and builds after a 'qmake-qt4' just fine.
Comment 1 Bug Zapper 2009-11-18 06:35:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 JM 2009-11-18 13:51:08 EST
This is still valid, at least for Fedora 11... because I couldn't test Fedora 12 yet...
Comment 3 Bug Zapper 2010-04-27 09:18:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 JM 2010-04-27 15:05:12 EDT
Is still valid for Fedora 12
Comment 5 Bug Zapper 2010-11-04 07:25:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:58:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Steve Dickson 2010-12-06 08:47:40 EST
I should look into do things...
Comment 8 David Jansen 2012-02-06 07:45:15 EST
I noticed the GUI is (still/again ?) missing in Fedora 16 (& 15).  
If it isn't possible to include it for some reason, at least the description of the package should be changed, to reflect the omission of the GUI:

$ rpm -qi nfs4-acl-tools
Name        : nfs4-acl-tools
Version     : 0.3.3
Release     : 7.fc15
Architecture: x86_64
Install Date: Wed 14 Dec 2011 14:01:35 MET
Group       : Applications/System
Size        : 105608
License     : BSD
Signature   : RSA/SHA256, Thu 28 Jul 2011 21:00:54 MEST, Key ID 067f00b6a82ba4b7
Source RPM  : nfs4-acl-tools-0.3.3-7.fc15.src.rpm
Build Date  : Wed 09 Feb 2011 02:05:09 MET
Build Host  : x86-06.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.citi.umich.edu/projects/nfsv4/linux/
Summary     : The nfs4 ACL tools
Description :
This package contains commandline and GUI ACL utilities for the Linux
NFSv4 client.
Comment 9 Joel 2012-11-17 20:28:35 EST
Also missing in fc17.  Should be done as sub-package to avoid bringing in qt dependency to base package.
Comment 10 David Jansen 2013-03-01 08:03:37 EST
GUi is still missing in Fedora 18
Comment 11 Fedora End Of Life 2013-04-03 16:17:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 J. Bruce Fields 2013-12-10 10:00:05 EST
Eventually what we'll want is:

      - something that's integrated into the file manager: you want to
        be able to click on a file to change its acl, not open a
        terminal and run "acl-editor /path/to/my/file", and
      - something based on Andreas Grünbacher's richacl tools.

It will take a while to get there, but still, this would be an interim solution and I don't think it's worth the trouble to support.

That said, if there's a volunteer to get this working and make the subpackage, they can reopen this.
Comment 13 Nahum Shalman 2014-07-16 12:15:57 EDT
Created attachment 918461 [details]
Proposed patch to fix, build, and package the GUI tool

Patch should apply cleanly to git://pkgs.fedoraproject.org/nfs4-acl-tools.git
Comment 14 Steve Dickson 2014-07-16 13:47:30 EDT
The Koji Build

http://koji.fedoraproject.org/koji/taskinfo?taskID=7152552

Note You need to log in before you can comment on or make changes to this bug.